PageInformation

Get detailed story page information

Returns the full story page data (including project type, story, language, merge story, category, contexts info, ai usage and buttons)

GET
/api/v2/page-information/story/{projectTypeId}

Authorization

BearerAuthObject
AuthorizationBearer <token>

Machine tokens only: a personal API token or a product robot token (POST /api/v2/products/{uid}/robot-tokens). A session JWT here is 401 — the web app uses the b2t_access cookie.

In: header

Path Parameters

projectTypeId*integer

The project type ID

Query Parameters

storyId?integer

Optional story ID

mergeStoryId?integer

Optional merge story ID

categoryId?integer

Optional category ID

languageId?integer

Optional language ID

contexts?integer

If set to 1, includes context statistics for the project type

Value in

  • 0
  • 1

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v2/page-information/story/7?storyId=5&mergeStoryId=10&categoryId=4&languageId=1&contexts=0"
{  "projectType": {    "id": 7,    "name": "Mobile App",    "alias": "mobile-app",    "languageId": 1,    "lang": "en"  },  "story": {    "id": 5,    "name": "production"  },  "language": {    "id": 1,    "lang": "en",    "name": "English",    "dir": "ltr"  },  "mergeStory": {    "id": 10,    "name": "develop"  },  "category": {    "id": 4,    "name": "General"  },  "contextsInfo": {    "allKeys": 500,    "keysWithContext": 120  },  "aiUsage": {    "aiLanguages": [      "en",      "fr",      "de"    ],    "defaultLanguage": 1,    "balance": 4.7,    "total": 10,    "aiTokens": {      "limit": 1000000,      "used": 530000,      "left": 470000    }  },  "buttons": [    "StoryCreateButton",    "StoryCategoryCreateButton",    "StorySourceCreateButton"  ]}
{  "message": {    "error": "Your request was made with invalid credentials."  }}
{  "message": {    "error": "You are not allowed to perform this action."  }}
{  "message": {    "error": "Page not found"  }}
{  "message": {    "error": "Oops! Something went wrong! Write to administrator. Your Request Id {f1177aee-9a99-42f0-a23f-4dd29fc39b65-672e0df972ccb}"  }}